stamPrediction-class {stam} | R Documentation

## Results of Predictions by StAM

### Description

Object of this class are returned by `stam.predict` and contain prediction results as they are computed by structured analysis of microarray data.

### Objects from the Class

Objects can be created by calls of the form `new("stamPrediction", fit, expr.mat, cls, testset)`, but using `stam.predict` is recommended.

### Slots

`chip`:
  Object of class `"character"`, the name of the chip for which the classifier net is generated.
`nodes`:
  Object of class `"list"`, elements are of class `stamINode` or `stamLeaf`, one for each remaining node in the classifier net.
`class.labels`:
  Object of class `"character"`, one name for each class
`best.delta`:
  Object of class `"numeric"`, shrinkage level used for computing
`cls`:
  Object of class `"character"`, class names for each sample
`probs`:
  Object of class `"array"`, matrix of prediction probabilities [samples x classes x nodes]
`predicts`:
  Object of class `"character"`, overall prediction for each sample
`testset`:
  Object of class `"numeric"`, indeces of samples which belong to the test set. The other samples are assumed to be the traiing set.
`node.results`:
  Object of class `"list"`, performance, redundancy, sensitivity and specificity per node

### Methods

image
  `signature(x = "stamPrediction")`: molecular symptoms image, see `image.stamPrediction` for details
print
  `signature(x = "stamPrediction")`: print information on prediction
writeHTML
  `signature(x = "stamPrediction")`: generate HTML information on prediction, but using `stam.writeHTML` is recommended

### Author(s)

Claudio Lottaz

### See Also

`stam.predict`, `image.stamPrediction`, `stam.writeHTML`

[Package stam version 1.10.0 Index]